probe::vm.kmalloc
Prev | Chapter 6. Memory Tapset | Next

## Name

probe::vm.kmalloc — Fires when kmalloc is requested

## Synopsis

    vm.kmalloc

## Values

`call_site`

  address of the kmemory function

`caller_function`

  name of the caller function

`ptr`

  pointer to the kmemory allocated

`bytes_alloc`

  allocated Bytes

`gfp_flag_name`

  type of kmemory to allocate (in String format)

`gfp_flags`

  type of kmemory to allocate

`name`

  name of the probe point

`bytes_req`

  requested Bytes

Prev | Up | Next
probe::vm.kfree | Home | probe::vm.kmalloc_node